#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name: tasty-rerun
version: 1.1.8
id: tasty-rerun-1.1.8-2sabYrUvOrpChX5M4hJzNh
key: tasty-rerun-1.1.8-2sabYrUvOrpChX5M4hJzNh
license: BSD3
copyright: Oliver Charles (c) 2014
maintainer: ollie@ocharles.org.uk
homepage: http://github.com/ocharles/tasty-rerun
synopsis: Run tests by filtering the test tree depending on the result of previous test
          runs
description:
    This ingredient adds the ability to run tests by first filtering the test tree
    based on the result of a previous test run. For example, you can use this to
    run only those tests that failed in the last run, or to run only tests that
    have been added since tests were last ran.
    .
    This ingredient is specifically an ingredient *transformer* - given a list of
    '\''Tasty.Ingredient'\''s, '\''rerunningTests'\'' adds the ability for all of these
    ingredients to run against a filtered test tree. This transformer can be
    applied as follows:
    .
    > import Test.Tasty
    > import Test.Tasty.Runners
    >
    > main :: IO ()
    > main =
    >   defaultMainWithIngredients
    >     [ rerunningTests [ listingTests, consoleTestReporter ] ]
    >     tests
    >
    > tests :: TestTree
    > tests = undefined
    .
    This ingredient adds three command line parameters:
    .
    [@--rerun-update@] If specified the results of this test run will be saved to
    the log file at @--rerun-log-file@. If the ingredient does not execute tests
    (for example, @--list-tests@ is used) then the log file will not be
    updated. This option is not enabled by default.  This option does not require
    a value.
    .
    [@--rerun-log-file@] The path to the log file to read previous test
    information from, and where to write new information to (if @--rerun-update@
    is specified). This option defaults to @.tasty-rerun-log@.
    .
    [@--rerun-filter@] Which filters to apply to the '\''Tasty.TestTree'\'' based on
    previous test runs. The value of this option is a comma separated list of the
    following options:
    .
    * @failures@: Only run tests that failed on the previous run.
    .
    * @exceptions@: Only run tests that threw an exception on the previous run.
    .
    * @new@: Only run tests that are new since the previous test run.
    .
    * @successful@: Only run tests that were successful in the previous run.
    .
    Multiple options can be combined and will be taken under disjunction - so
    @--rerun-filter=failures,exceptions@ will run only tests that failed *or*
    threw an exception on the last run.
    .
    Defaults to all filters, which means all tests will be ran.
category: Testing
author: Oliver Charles
exposed: True
indefinite: False
exposed-modules:
    Test.Tasty.Ingredients.Rerun
abi: 7bfdf68c20e950dcb06ee5069df7d9a7
trusted: False
import-dirs: /usr/lib/ghc-8.2.2/site-local/tasty-rerun-1.1.8
library-dirs: /usr/lib/ghc-8.2.2/site-local/tasty-rerun-1.1.8
dynamic-library-dirs: /usr/lib
data-dir: /usr/share/x86_64-linux-ghc-8.2.2/tasty-rerun-1.1.8
hs-libraries: HStasty-rerun-1.1.8-2sabYrUvOrpChX5M4hJzNh
depends:
    base-4.10.1.0 containers-0.5.10.2 mtl-2.2.1-DscMMmDQUE6GBfOSl4qMUH
    optparse-applicative-0.14.0.0-5Yv3vB6F9Ec49FKuO0i7CD
    reducers-3.12.2-BPRd1uTiQQWA7ojjjwRB7o
    split-0.2.3.2-7cayvoeRj5XIrIBUB58mMy
    stm-2.4.4.1-E6EjE1bszQZJ9orPdUNxjw
    tagged-0.8.5-BP06XmR1GLaIsvsOKwGst2
    tasty-0.12-5fkrsJbzuAq4IkQW3aCElM transformers-0.5.2.0
abi-depends: base-4.10.1.0=35a7f6be752ee4f7385cb5bf28677879
             containers-0.5.10.2=cc49645af4ed58d1819a7e09ee1f7920
             mtl-2.2.1-DscMMmDQUE6GBfOSl4qMUH=1e76d6f7019a4b5c8c222b2fbbb06681
             optparse-applicative-0.14.0.0-5Yv3vB6F9Ec49FKuO0i7CD=f15e9e49f950ae5cfb701c143a0a1e92
             reducers-3.12.2-BPRd1uTiQQWA7ojjjwRB7o=9fc9105f59edc1f8d5e76aeb5126349a
             split-0.2.3.2-7cayvoeRj5XIrIBUB58mMy=614819b9f074e058df73dc3c520cf25f
             stm-2.4.4.1-E6EjE1bszQZJ9orPdUNxjw=05affb1c34b776a775422ef4ed6b6def
             tagged-0.8.5-BP06XmR1GLaIsvsOKwGst2=4764468d99de060aada7572c7b2f4378
             tasty-0.12-5fkrsJbzuAq4IkQW3aCElM=b2ec56ce323f9b604478319f56af8847
             transformers-0.5.2.0=e04579c0363c9229351d1a0b394bf2d5
haddock-interfaces: /usr/share/doc/haskell-tasty-rerun/html/tasty-rerun.haddock
haddock-html: /usr/share/doc/haskell-tasty-rerun/html
' | '/usr/bin/ghc-pkg' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

